"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAdminNavigationCommands = useAdminNavigationCommands;

var _commands = require("@wordpress/commands");

var _i18n = require("@wordpress/i18n");

var _icons = require("@wordpress/icons");

/**
 * WordPress dependencies
 */
function useAdminNavigationCommands() {
  (0, _commands.useCommand)({
    name: 'core/add-new-post',
    label: (0, _i18n.__)('Add new post'),
    icon: _icons.plus,
    callback: () => {
      document.location.href = 'post-new.php';
    }
  });
  (0, _commands.useCommand)({
    name: 'core/add-new-page',
    label: (0, _i18n.__)('Add new page'),
    icon: _icons.plus,
    callback: () => {
      document.location.href = 'post-new.php?post_type=page';
    }
  });
  (0, _commands.useCommand)({
    name: 'core/manage-reusable-blocks',
    label: (0, _i18n.__)('Manage all of my patterns'),
    callback: () => {
      document.location.href = 'edit.php?post_type=wp_block';
    },
    icon: _icons.external
  });
}
//# sourceMappingURL=admin-navigation-commands.js.map